## org.w3c.dom.svg
Interface SVGZoomEvent

All Superinterfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.UIEvent

public interface SVGZoomEvent
extends org.w3c.dom.events.UIEvent

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`float` `getNewScale()`
`SVGPoint` `getNewTranslate()`
`float` `getPreviousScale()`
`SVGPoint` `getPreviousTranslate()`
`SVGRect` `getZoomRectScreen()`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getZoomRectScreen

    public SVGRect getZoomRectScreen()

### getPreviousScale

    public float getPreviousScale()

### getPreviousTranslate

    public SVGPoint getPreviousTranslate()

### getNewScale

    public float getNewScale()

### getNewTranslate

    public SVGPoint getNewTranslate()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.